import {request} from '@/utils/request.js'

const api = {
	
	expertWxLogin(jscode){
		return request('/miniprogram/expertLogin', {jscode: jscode}, 'get', true);
	},
	// 微信登录
	wxLogin(data) {
		return request('/login/wechat/mobile', data, 'post', true);
	},
	//
	getTimeStamp(){
		return request('/manager/getSystemTimeStamp',{}, 'get', false);
		
	},
	
	// 手机号登录
	mobileLogin(data) {
		return request('/login/mobile', data, 'post', true);
	},
	
	// 短信验证码登录
	smsLogin(data,header){
		return request('/expertAPI/smsLogin', data, 'post', true,'application/json',header);
	},
	// 密码登录
	pwdLogin(data){
		return request('/expertAPI/login', data, 'post', true);
	},
	// 获取短信验证码
	getCode(data,header) {
		return request('/expertAPI/smsSend', data, 'post', true,'application/json',header);
	},
    getHomeData(){
		return request('/expertAPI/index', {}, 'post', false);
	},
	//肝胆课件列表
	ganDanFileByKeyWords(data){
		return request('/expertAPI/ganDanFileByKeyWords', data, 'post', false);
	},
	//肝胆课件详情
	ganDanFileDetials(data){
		return request('/expertAPI/ganDanFileDetials', data, 'post', false);
	},
	//是否存在正在进行中的公益咨询
	isConsultIng(data){
		return request('/expertAPI/isConsultIng', data, 'post', false);
	},
	//视频浏览记录列表
	videoWatchRecord(data){
		return request('/expertAPI/VideoWatchRecord', data, 'post', false);
	},
	//修改备注和描述
	updateNicknameNote(data){
		return request('/expertAPI/updateNicknameNote', data, 'post', false);
	},
	//获取未读数量
	unReadList(data){
		return request('/expertAPI/unReadList', data, 'post', false);
	},
	//消息列表
	appMesageList(data){
		return request('/expertAPI/appMesageList', data, 'post', false);
	},
	//阅读消息
	appMesageRead(data){
		return request('/expertAPI/appMesageRead', data, 'post', false);
	},
	//阅读消息
	appMesageRead(data){
		return request('/expertAPI/appMesageRead', data, 'post', false);
	},
	//最近30天的随访记录
	relationRecordLately(data){
		return request('/expertAPI/relationRecordLately', data, 'post', false);
	},
	//我的页面（信息与统计）
	getMyInfo(data){
		return request('/expertAPI/my', data, 'post', false);
	},
	
	getVideoList(data) {
		return request('/video/list', data, 'get', true);
	},
	getVideoDetail(data) {
		return request('/video/detail', data, 'get', true);
	},
	getVideoHistory(data) {
		return request('/expertAPI/VideoWatchRecord', data, 'post', false);
	},
	deleteRecord(data) {
		return request('/expertAPI/deleteRecord', data, 'post', false);
	},

	getCollectList(data) {
		return request('/expertAPI/collectList', data, 'post', false);
	},

	getCollectionList(data) {
		return request('/expertAPI/collectionList', data, 'post', false);
	},
	//我的账户
	getMyAccount(data) {
		return request('/expertPay/getBalanceU', data, 'post', false);
	},

	// 订单列表
	getOrderList(data) {
		return request('/expertPay/orderList', data, 'post', false);
	},

	// 我的积分
	myBonusPoints(data) {
		return request('/expertAPI/myBonusPoints', data, 'post', false);
	},
	// 新闻详情
	getNewsDetail(data) {
		return request('/expertAPI/newsDetail', data, 'post', false);
	},
	// 积分支付列表
	bonusPointsPayList(data) {
		return request('/expertAPI/bonusPointsPayList', data, 'post', true);
	},
	// 积分列表
	bonusPointsList(data) {
		return request('/expertAPI/bonusPointsList', data, 'post', true);
	},

	getWelfarePage(data) {
		return request('/expertAPI/getWelfarePage', data, 'post', false);
	},

	useWelfarePage(data) {
		return request('/expertAPI/useWelfarePage', data, 'post', false);
	},

	getFlowerList(data) {
		return request('/expertPay/getFlowerList', data, 'post', false);
	},

	getGandanfileMyDownload(data) {	
		return request('/expertAPI/gandanfile/myDownload', data, 'post', false);
	},

	getGandanfileMyShare(data) {
		return request('/expertAPI/gandanfile/myShare', data, 'post', false);
	},

	// 课件详情
	getGandanFileDetail(data) {
		return request('/expertAPI/gandanFileDetail', data, 'post', false);
	},
	
	// 直播详情
	getLiveDetail(data) {
		return request('/expertAPI/liveDetail', data, 'post', false);
	},
	
	// 视频详情
	getVideoDetail2(data) {
		return request('/expertAPI/videoDetail2', data, 'post', false);
	},
	
	// 搜索医院列表
	getHospitalList(data) {
		return request('/expertAPI/hospitalList', data, 'post', false);
	},
	
	// 省市地区列表
	getAreaList(data) {
		return request('/expertAPI/areaList', data, 'post', false);
	},
	
	// 积分商城相关API
	// 商品列表
	getGoodsList(data) {
		return request('/expertAPI/goodsList', data, 'post', false);
	},
	
	// 商品列表_V2
	getGoodsListV2(data) {
		return request('/expertAPI/goodsListV2', data, 'post', false);
	},
	
	// 积分商城商品类型列表
	getGoodsTagList(data) {
		return request('/expertAPI/goodsTagList', data, 'post', false);
	},
	
	// 积分商城-查询快递100
	getOrderTrack(data) {
		return request('/expertAPI/getOrderTrack', data, 'post', false);
	},
	
	// 福利版块相关API
	// 我的福利卡
	getMyWelfareCard(data) {
		return request('/expertAPI/myWelfareCard', data, 'post', false);
	},
	
	// 兑换福利卡
	exchangeWelfareCard(data) {
		return request('/expertAPI/exchangeWelfareCard', data, 'post', false);
	},
	
	// U盘福利剩余个数
	getUpanWelfareCount(data) {
		return request('/expertAPI/getUpanWelfareCount', data, 'post', false);
	},
	
	// 添加积分
	addBonusPointsN(data) {
		return request('/expertAPI/addBonusPointsN', data, 'post', false);
	},
	
	//视频顶部轮播
	videoRoll(data){
		return request('/expertAPI/videoRoll', data, 'post', false);
	},
	//视频标签
	videoTagList(data){
		return request('/expertAPI/videoTagList', data, 'post', false);
	},
	//视频首页
	videoIndexN(data){
		return request('/expertAPI/videoIndexN', data, 'post', false);
	},
	//视频类型
	expertVideoTypeList(data){
		return request('/expertAPI/expertVideoTypeList', data, 'post', false);
	},
	//视频搜索
	videoByKeyWordsNew(data){
		return request('/expertAPI/videoByKeyWordsNew', data, 'post', false);
	},
	
	// 指南杂志 - 治疗指南列表
	searchLibraryU(data){
		return request('/expertAPI/searchLibraryU', data, 'post', false);
	},
	// 指南杂志 - 治疗指南最火TOP10
	top10ByType(data){
		return request('/expertAPI/top10ByType', data, 'post', false);
	},
	// 指南杂志 - 治疗指南分类
	guideType(data){
		return request('/expertAPI/guideType', data, 'post', false);
	},
	//指南标签
	guideTag(data){
		return request('/expertAPI/tagList', data, 'post', false);
	},

	// 会议列表
	meetingListV2U(data){
		return request('/expertAPI/meetingListV2U', data, 'post', false);
	},

	// 会议列表
	meetingListBySearchU(data){
		return request('/expertAPI/meetingListBySearchU', data, 'post', false);
	},
	
	myWelfareCard(data){
		return request('/expertAPI/myWelfareCard', data, 'post', false);
	},

	exchangeWelfareCard(data){
		return request('/expertAPI/exchangeWelfareCard', data, 'post', false);
	},

	unReadList(data){
		return request('/expertAPI/unReadList', data, 'post', false);
	},

	appMesageList(data){
		return request('/expertAPI/appMesageList', data, 'post', false);
	},
	
	appMesageRead(data){
		return request('/expertAPI/appMesageRead', data, 'post', false);
	},

	// bankCardList(data){
	// 	return request('/pingExpertV2/bankCardList', data, 'post', false);
	// },

	identificationBankCardNew(data){
		return request('/pingExpertV2/identificationBankCardNew', data, 'post', false);
	},

	changePassword(data){
		return request('/expertAPI/modifyPwd', data, 'post', false);
	},

	changeMobile(data){
		return request('/expertAPI/modifyMobile', data, 'post', false);
	},

	smsSend(data){
		return request('/expertAPI/smsSend', data, 'post', false);
	},
	pointTicketlist(data){
		return request('/expertAPI/pointTicketlist', data, 'post', false);
	},
	
	pointTicketExchange(data){
		return request('/expertAPI/updateStatus', data, 'post', false);
	},

	addFeedBack(data){
		return request('/expertAPI/addFeedBack', data, 'post', false);
	},
	// 肝胆新闻相关API
	// 顶部轮播
	newsRollNew(data){
		return request('/expertAPI/newsRollNew', data, 'post', false);
	},
	// 新闻列表
	defaultNewsListNew(data){
		return request('/expertAPI/defaultNewsListNew', data, 'post', false);
	},
	// 根据标签查询新闻列表
	newsListNew(data){
		return request('/expertAPI/newsListNew', data, 'post', false);
	},
	// 新闻标签列表
	newsTagList(data){
		return request('/expertAPI/newsTagList', data, 'post', false);
	},
	
	meetingListV2U(data){
		return request('/expertAPI/meetingListV2U', data, 'post', false);
	},
	applyList(data){
		return request('/expertAPI/applyList', data, 'post', false);
	},
	patientListByGBKPage(data){
		return request('/expertAPI/patientListByGBKPage', data, 'post', false);
	},
	patientListByGBK(data){
		return request('/expertAPI/patientListByGBK', data, 'post', false);
	},
	patientListByGBKU(data){
		return request('/expertAPI/patientListByGBKU', data, 'post', false);
	},
	followUpList(data){
		return request('/expertAPI/followUpList', data, 'post', false);
	},
	relationRecordLately(data){
		return request('/expertAPI/relationRecordLately', data, 'post', false);
	},
	applyListOperate(data){
		return request('/expertAPI/applyListOperate', data, 'post', false);
	},
	groupList(data){
		return request('/expertAPI/groupListU', data, 'post', false);
	},
	patientListByGroup(data){
		return request('/expertAPI/patientListByGroupU', data, 'post', false);
	},
	groupDelete(data){
		return request('/expertAPI/deleteGroupU', data, 'post', false);
	},
	groupAdd(data){
		return request('/expertAPI/addGroupU', data, 'post', false);
	},
	groupUpdate(data){
		return request('/expertAPI/updateGroupU', data, 'post', false);
	},
	updateNicknameNote(data){
		return request('/expertAPI/updateNicknameNote', data, 'post', false);
	},
	patientCard(data){
		return request('/expertAPI/patientCard', data, 'post', false);
	},
	patientCardUpdateGroup(data){
		return request('/expertAPI/patientCardUpdateGroup', data, 'post', false);
	},
	addFollowUps(data){
		return request('/expertAPI/addFollowUps', data, 'post', false);
	},
	getFollowUp(data){
		return request('/expertAPI/getFollowUp', data, 'post', false);
	},
	deleteFollowUp(data){
		return request('/expertAPI/deleteFollowUp', data, 'post', false);
	},	
	cancelRes(data){
		return request('/expertAPI/cancelRes', data, 'post', false);
	},
	polularScienceArticleListByKeywordsNew(data){
		return request('/expertAPI/polularScienceArticleListByKeywordsNew', data, 'post', false);
	},
	patientVideoByKeyWordsNew(data){
		return request('/expertAPI/patientVideoByKeyWordsNew', data, 'post', false);
	},
	patientVideoNew(data){
		return request('/expertAPI/patientVideoNew', data, 'post', false);
	},
	top10ByType(data){
		return request('/expertAPI/top10ByType', data, 'post', false);
	},
	videoBySearchNew(data){
		return request('/expertAPI/videoBySearchNew', data, 'post', false);
	},
	patientVideoBySearchNew(data){
		return request('/expertAPI/patientVideoBySearchNew', data, 'post', false);
	},
	polularScienceArticleListIndexNew(data){
		return request('/expertAPI/polularScienceArticleListIndexNew', data, 'post', false);
	},

	bankCardList(data){
		return request('/expertPay/bankCardList', data, 'post', false);
	},

	deleteBankCard(data){
		return request('/expertPay/deleteBankCard', data, 'post', false);
	},
	getIncomeTax(data){
		return request('/expertPay/getIncomeTax', data, 'post', false);
	},
	createWithdrawal(data){
		return request('/expertPay/createWithdrawal', data, 'post', false);
	},
	
	meetingListBySearch(data){
		return request('/expertAPI/meetingListBySearch', data, 'post', false);
	},
	getExpertByUuid(data){
		return request('/expertAPI/getExpertByUuid', data, 'post', false);
	},
	getUserIcon(data){
		return request('/expertAPI/getUserIcon', data, 'post', false);
	},
	addUserIcon(data){
		return request('/expertAPI/addUserIcon', data, 'post', false);
	},
	getDiseaseList(data){
		return request('/expertAPI/disease', data, 'post', false);
	},
	getPositionList(data){
		return request('/expertAPI/positionList', data, 'post', false);
	},
	getOfficeList(data){
		return request('/expertAPI/officeList', data, 'post', false);
	},
	newConsultList(data){
		return request('/expertAPI/newConsultList', data, 'post', false);
	},
	consultListHis(data){
		return request('/expertAPI/consultListHis', data, 'post', false);
	},
	listNewInterrogation(data){
		return request('/expertAPI/listNewInterrogation', data, 'post', true);
	},
	listMyAnsweredInterrogation(data){
		return request('/expertAPI/listMyAnsweredInterrogation', data, 'post', true);
	},
	getInterrogation(data){
		return request('/expertAPI/getInterrogation', data, 'post', false);
	},
	interrogationPatientInfo(data){
		return request('/expertAPI/InterrogationPatientInfo', data, 'post', false);
	},
	updateInterrogationAnswer(data){
		return request('/expertAPI/updateInterrogationAnswerU', data, 'post', true);
	},
	addInterrogationAnswer(data){
		return request('/expertAPI/addInterrogationAnswerU', data, 'post', true);
	},
	videoDetail(data){
		return request('/expertAPI/videoDetail', data, 'post', false);
	},
	addVideoWatchRecord(data){
		return request('/expertAPI/addVideoWatchRecord', data, 'post', false);
	},
	videoCommentListV2(data){
		return request('/expertAPI/videoCommentListV2', data, 'post', false);
	},
	isVideoDownloadRecord(data){
		return request('/expertAPI/isVideoDownloadRecord', data, 'post', false);
	},
	getWelfareNum(data){
		return request('/expertAPI/getWelfareNum', data, 'post', false);
	},
	payVideoDownload(data){
		return request('/expertAPI/payVideoDownload', data, 'post', false);
	},
	addCommentV2(data){
		return request('/expertAPI/addCommentV2', data, 'post', false);
	},
	collection(data){
		return request('/expertAPI/collection', data, 'post', false);
	},
	discollection(data){
		return request('/expertAPI/discollection', data, 'post', false);
	},
	meetingV2Video(data){
		return request('/expertAPI/meetingV2Video', data, 'post', false);
	},
	listGroupSendMsg(data){
		return request('/expertAPI/listGroupSendMsg', data, 'post', false);
	},
	addGroupSendMsg4YunXin(data){
		return request('/expertAPI/addGroupSendMsg4YunXin', data, 'post', false);
	},
	quickReplyList(data){
		return request('/expertAPI/QuickReplyList', data, 'post', false);
	},
	addQuickReply(data){
		return request('/expertAPI/addQuickReply', data, 'post', false);
	},
	deleteQuickReply(data){
		return request('/expertAPI/deleteQuickReply', data, 'post', false);
	},
	listOutPatient(data){
		return request('/expertAPI/listOutPatient', data, 'post', false);
	},
	stopOutPatientList(data){
		return request('/expertAPI/stopOutPatientList', data, 'post', false);
	},
	listWorkPlace(data){
		return request('/expertAPI/listWorkPlace', data, 'post', false);
	},
	addOutPatient(data){
		return request('/expertAPI/addOutPatient', data, 'post', false);
	},
	updateOutPatient(data){
		return request('/expertAPI/updateOutPatientA', data, 'post', false);
	},
	deleteOutPatient(data){
		return request('/expertAPI/deleteOutPatient', data, 'post', false);
	},
	addWorkPlace(data){
		return request('/expertAPI/addWorkPlace', data, 'post', false);
	},
	updateWorkPlace(data){
		return request('/expertAPI/editWorkPlace', data, 'post', false);
	},
	deleteWorkPlace(data){
		return request('/expertAPI/deleteWorkPlace', data, 'post', false);
	},
	hospitalList(data){
		return request('/expertAPI/hospitalList', data, 'post', false);
	},
	addStopPatient(data){
		return request('/expertAPI/addStopOutPatient', data, 'post', false);
	},
	deleteStopPatient(data){
		return request('/expertAPI/deleteStopOutPatient', data, 'post', false);
	},
	addOutPatientA(data){
		return request('/expertAPI/addOutPatientA', data, 'post', false);
	},
	delGroupSendMsg(data){
		return request('/expertAPI/delGroupSendMsg', data, 'post', false);
	},
	patientDetail(data){
		return request('/expertAPI/patientDetail', data, 'post', false);
	},
	toAddNickname(data){
		return request('/expertAPI/toAddNickname', data, 'post', false);
	},
	caseDetail(data){
		return request('/expertAPI/caseDetail', data, 'post', false);
	},
	conditionRecordList(data){
		return request('/expertAPI/conditionRecordList', data, 'post', false);
	},
	addConditionRecord(data){
		return request('/expertAPI/addConditionRecord', data, 'post', false);
	},
	updateConditionRecord(data){
		return request('/expertAPI/upConditionRecord', data, 'post', false);
	},
	deleteConditionRecord(data){
		return request('/expertAPI/delConditionRecord', data, 'post', false);
	},
	consultDetail(data){
		return request('/expertAPI/consultDetail', data, 'post', false);
	},
	isConsultIng(data){
		return request('/expertAPI/isConsultIng', data, 'post', false);
	},
	resConsult(data){
		return request('/expertAPI/resConsult', data, 'post', false);
	},
	countConsult(data){
		return request('/expertAPI/countConsult', data, 'post', false);
	},
	closeConsult(data){
		return request('/expertAPI/closeConsult', data, 'post', false);
	},
	checkUser(data){
		return request('/expertAPI/checkUser', data, 'post', false);
	},
	ganDanFileDetials(data){
		return request('/expertAPI/ganDanFileDetials', data, 'post', false);
	},
	createGanDanFileOrder(data){
		return request('/expertPay/createGanDanFileOrder', data, 'post', false);
	},
	getOrderStatus(data){
		return request('/expertPay/getOrderStatus', data, 'post', false);
	},
	
	getOrderStatus(data){
		return request('/expertPay/getOrderStatus', data, 'post', false);
	},
	getBalance(data){
		return request('/expertPay/getBalance', data, 'post', false);
	},
	payGanDanFile(data){
		return request('/expertPay/payGanDanFileOrder', data, 'post', false);
	},
	// discollection(data){
	// 	return request('/expert/discollection', data, 'post', false);
	// },
	// collection(data){
	// 	return request('/expert/collection', data, 'post', false);
	// },
	getTypeUuidByName(data){
		return request('/expertAPI/getTypeUuidByName', data, 'post', false);
	},
	videoByTypeNew(data){
		return request('/expertAPI/videoByTypeNew', data, 'post', false);
	},
	meetingHistoryList(data){
		return request('/expertAPI/meetingHistoryList', data, 'post', false);
	},
	
	// 扫码登录相关API
	// 确认扫码登录
	confirmScanLogin(data){
		return request('/expertAPI/confirmScanLogin', data, 'post', false);
	},
	
	// 取消扫码登录
	cancelScanLogin(data){
		return request('/expertAPI/cancelScanLogin', data, 'post', false);
	},
	
	// 获取扫码登录状态
	getScanLoginStatus(data){
		return request('/expertAPI/getScanLoginStatus', data, 'post', false);
	},
	gethonorDetail(data){
		return request('/expertAPI/gethonorDetail', data, 'post', false);
	},
	checkVersion(data){
		return request('/expertAPI/checkVersion', data, 'post', false);
	},
	getIsAccount(data){
		return request('/expertAPI/getIsAccount', data, 'post', false);
	},
	patientVideoByJingHuaNew(data){
		return request('/expertAPI/patientVideoByJingHuaNew', data, 'post', false);
	},
	useWelfareNum(data){
		return request('/expertAPI/useWelfareNum', data, 'post', false);
	},
	deleteComment(data){
		return request('/expertAPI/deleteComment', data, 'post', false);
	},
	downloadGanDanFile(data){
		return request('/expertAPI/downloadGanDanFile', data, 'post', false,'application/json',{},'arraybuffer');
	},
	downloadGanDanFileV2(data){
		return request('/expertAPI/downloadGanDanFileV2', data, 'post', false);
	},
	feedBack(data){
		return request('/expertAPI/addFeedBack', data, 'post', false);
	},
	getPointUnitPrice(data){
		return request('/expertAPI/getPointUnitPrice', data, 'post', false);
	},
	welfareList(data){
		return request('/expertAPI/welfareList', data, 'post', false);
	},

	getUGoods(data){
		return request('/expertAPI/getGoodsDetailU', data, 'post', false);
	},
	createGoodsOrder(data){
		return request('/expertAPI/createGoodsOrder', data, 'post', false);
	},
	useWelfareNum(data){
		return request('/expertAPI/useWelfareNum', data, 'post', false);
	},
	createBointsOrder(data){
		return request('/expertPay/createBointsOrder', data, 'post', false);
	},
	receiveWelfare(data){
		return request('/expertAPI/receiveWelfare', data, 'post', false);
	},
	getKePuCollection(data){
		return request('/expertAPI/getKePuCollection', data, 'post', false);
	},
	getRead(data){
		return request('/expertAPI/read', data, 'post', false);
	},
	getOutRead(data){
		return request('/expertAPI/outread', data, 'post', false);
	},
	getAgree(data){
		return request('/expertAPI/agree', data, 'post', false);
	},
	getDisagree(data){
		return request('/expertAPI/disagree', data, 'post', false);
	},
	getCollect(data){
		return request('/expertAPI/collection', data, 'post', false);
	},
	getDiscollect(data){
		return request('/expertAPI/discollection', data, 'post', false);
	},
	getGanDanFileOrder(data){
		return request('/expertPay/getGanDanFileOrder', data, 'post', false);
	},
	publishOutPatient(data){
		return request('/expertAPI/addGroupSendMsg4YunXin', data, 'post', false);
	},
	polularScienceArticleListIndexNew(data){
		return request('/expertAPI/polularScienceArticleListIndexNew', data, 'post', false);
	},
	getNewsDetail(data){
		return request('/expertAPI/newsDetial', data, 'post', false);
	},
	
	//https://dev-app.igandan.com/app/expertPay/getGanDanFileOrder

}

export default api